%define checkout ehabkost-passerd-dfda327

Name:          passerd
Summary:       A Twitter client that works as an IRC server
Version:       0.1.1
Release:       %mkrel 4
Source0:       %{checkout}.tar.gz
Source1:       passerd.initscript
Source2:       passerd.sysconfig
URL:           http://passerd.raisama.net
License:       MIT
Group:         Networking/IRC
BuildRoot:     %{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires: python-devel

Requires: python-daemon
Requires: python-twitty
Requires: python-twisted-words
Requires: python-sqlite
Requires: python-sqlalchemy
Requires: python-oauth

%description
Passerd is a IRC-Twitter gateway

%prep
%setup -q -n %{checkout}

%build

%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}/%{_initrddir} %{buildroot}/%{_var}/lib/passerd
install %{SOURCE1} %{buildroot}/%{_initrddir}/%{name}
install -d %{buildroot}/%{_sysconfdir}/sysconfig/
install %{SOURCE2} %{buildroot}/%{_sysconfdir}/sysconfig/%{name}
install -d %{buildroot}/%{_logdir}
install -d %{buildroot}/%{_logdir}/%{name}
touch %{buildroot}/%{_logdir}/%{name}/%{name}.log

%pre
%_pre_useradd passerd /var/lib/passerd /bin/false

%post
%create_ghostfile %{_logdir}/passerd.log passerd root 640
echo -e "\n------------------------------------------------------------------------------------------"
echo -e "Please make sure to read the setup instructions at /usr/share/doc/passerd/USERGUIDE.markdown"
echo -e "before you start Passerd for the first time. It will guide you through the whole process."
echo -e "------------------------------------------------------------------------------------------\n"

%preun
%_preun_service passerd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc docs/logo.txt COPYING CREDITS.markdown INSTALL.markdown NEWS.markdown README.markdown USERGUIDE.markdown
%{_initrddir}/%{name}
%config %{_sysconfdir}/sysconfig/%{name}
%{python_sitelib}/*
%{_bindir}/%{name}
%attr(0750,passerd,root) %{_var}/lib/%{name}
%attr(0750,passerd,adm) %{_logdir}/%{name}/
%attr(0640,passerd,adm) %ghost %{_logdir}/%{name}/%{name}.log


%changelog
* Wed Nov 10 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.1.1-4mdv2011.0
+ Revision: 595667
- rebuild for python 2.7
- moved logs to /var/log/passerd/passerd.log

* Thu Apr 29 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.1.1-3mdv2010.1
+ Revision: 541053
- oops, actually it was not running the sysconfig file
- make it noarch

* Thu Apr 29 2010 Bogdano Arendartchuk <bogdano@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 541044
- run as the passerd user
- allow setting command line options using /etc/sysconfig/passerd

* Thu Mar 18 2010 Caio Begotti <caio1982@mandriva.org> 0.1.1-1mdv2010.1
+ Revision: 525032
- import passerd

